@charset "UTF-8";

/* @import url("https://fonts.googleapis.com/css?family=Poppins:300,400,500"); */

/* --- <<<Main --- */
body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    margin: 0;
    -webkit-font-smoothing: antialiased;
    font-family: "Poppins", sans-serif;
    font-size: 14px;
    line-height: 1.5;
}

*, *::before, *::after { box-sizing: border-box; }

* { -webkit-tap-highlight-color: transparent; } /* button & a tap color */

img {
    vertical-align: middle;
    display: block;
}

main { flex: 1; }
/* --- Main>>> --- */


/* --- <<<Typography --- */
p {
    /* font-family: "Poppins", sans-serif; */
    color: #757575;
    font-size: 15px;
    margin: 0 0 10px;
}

h1, h2, h3, h4, h5, h6 {
    /* font-family: "Poppins", sans-serif; */
    margin-top: 10px;
    margin-bottom: 10px;
    font-weight: 400;
    line-height: 1.1;
}

:where(h1) {
    margin-block: 0.67em;
    font-size: 2em;
}

h1 { font-size: 36px; }

h2 { font-size: 30px; }

h3 { font-size: 24px; }

h4 { font-size: 18px; }

label { margin-bottom: 5px; }

ol, ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

a, a:focus, a:hover {
    text-decoration: none;
    outline: 0;
    color: #000;
}

button, input {
    margin: 0;
    font: inherit;
}

button { cursor: pointer; }

[role=button] { cursor: pointer; }

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

input[type=number] {
    -moz-appearance: textfield;
}
/* --- <<<Typography --- */


/* --- <<<Utils --- */
.text-center { text-align: center; }

.d-none { display: none; }

.container {
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}
@media (min-width: 768px) {
    .container { width: 750px; }
}
@media (min-width: 992px) {
    .container { width: 970px; }
}
@media (min-width: 1200px) {
    .container { width: 1170px; }
}
/* --- Utils>>> --- */


/* --- <<<Header --- */
.logo {
    font-family: 'AustinBold';
    font-size: 40px;
    margin-top: 0px;
    margin-bottom: 0px;
}

.tip {
    height: 16px;
    width: 16px;
    background: #FF8C38;
    font-size: 10px;
    font-weight: 500;
    color: #ffffff;
    line-height: 18px;
    text-align: center;
    border-radius: 50%;
    margin: -10px 0 0 -3px;
}

.dropdown-toggle {
    color: #333;
    font-size: 15px;
    padding: 0 8px;
    background-color: transparent;
    border: 0;
}
.dropdown-toggle:active { background-color: transparent; }

#pages_dropdown{ display: none; }
.header {
    padding:  20px 10px;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
    box-shadow: 0 1px 3px gray;
    margin-bottom: 20px;
}

.header > ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}
.header > ul > li { padding: 0 10px; }
.search {
    border: 1px solid #111;
    border-radius: 20px;
    margin: 0 10px;
    overflow: hidden;
    flex: 1 1 100px;
    max-width: 300px;
}
.icos {
    margin-left: 10px;
    display: flex;
}

@media (max-width: 550px) {
    .pages_closed {
        display: none !important;
    }
    .header {
        box-shadow: none;
        justify-content: space-between;
    }
    .header > ul {
        top: 70px;
        left: 0;
        background-color: white;
        position: fixed;
        width: 100%;
        display: block;
        z-index: 20;
        padding: 40px 0;
    }
    .header > ul > li {
        border-bottom: 1px solid #111;
        padding: 15px 0;
        display: flex;
        margin: 0 15px;
    }

    .header > ul > li:after { content: '>'; }
    .header > ul > li > a { width: 100%; }

    .search {
        order: 2;
        flex-basis: 100%;
        margin-top: 10px;
        max-width: 100%;
    }

    .icos { order: 1; }
    #pages_dropdown{ display: inline; }
}

.pages_closed { display: flex; }

.dropdown-slide .dropdown-menu {
    padding: 15px;
    border: 1px solid #ebebeb;
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
    position: absolute;
    display: block;
    visibility: hidden;
    opacity: 0;
    transform: translateY(30px);
    transition: visibility 0.2s, opacity 0.2s, transform 500ms cubic-bezier(0.43, 0.26, 0.11, 0.99);
    left: auto;
    right: 0;
    border-radius: 8px !important;
    z-index: 100;
}

.dropdown-slide:hover .dropdown-menu {
    opacity: 1;
    display: block;
    visibility: visible;
    color: #777;
    transform: translateY(0px);
}

.dropdown-menu > li > * {
    display: block;
    padding: 3px 20px;
    clear: both;
    font-weight: 400;
    line-height: 1.5;
    color: #333;
    white-space: nowrap;
}

@media (max-width: 480px) {
    .dropdown-slide .dropdown-menu {
        transform: none;
    }
}

.drop_opened {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: -100px;
    z-index: 19;
    padding: 20px 10px;
    background-color: white;
}

#app { width: 100%; }
.ais-SearchBox-input { border: none; }
.ais-SearchBox-input:focus { border-radius: 20px; }

#hits {
    margin-top: 10px;
    top: unset;
    max-height: 40%;
}

@media (max-width: 991.98px) {
    #hits {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background: white;
        z-index: 1051;
        max-height: 200px;
        overflow-y: auto;
        border: 1px solid #ddd;
        border-radius: 0 0 0.5rem 0.5rem;
        padding: 0.5rem;
        box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
    }
}
#algolia-footer {
    margin-top: 10px;
    font-size: 85%;
}

#CookiebotWidget { display: none }

.footer {
    background: #F7F7F7;
    padding: 40px 0;
    margin-top: 20px;
}
/* --- Header>>> --- */


/* --- <<<Alerts --- */
.alert {
    border-radius: 30px;
    position: fixed;
    top: 80px;
    right: 20px;
    z-index: 1050;
    font-size: 14px;
    transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out;
    padding: 15px;
    border: 2px solid transparent;
}

.alert > button {
    font-size: 14px;
    border: 0;
    background: 0 0;
    cursor: pointer;
    color: inherit;
}

.alert.danger {
    color: #a94442;
    background-color: #f2dede;
    border-color: #ebccd1;
}
.alert.warning {
    color: #8a6d3b;
    background-color: #fcf8e3;
    border-color: #faebcc;
}
.alert.success {
    color: #3c763d;
    background-color: #dff0d8;
    border-color: #d6e9c6;
}

.alert.fade-out {
    opacity: 0;
    transform: translateY(-10px);
}
/* --- Alerts>>> --- */


/* --- few --- */
.breadcrumb-section .breadcrumb > li { display: inline-block; }

.breadcrumb-section { padding: 20px 0; }

.breadcrumb {
    display: block;
    align-items: center;
    list-style: none;
    padding: 0;
    margin: 0;
    font-family: 'Poppins', sans-serif;
    width: auto !important;
    max-width: 100%;
    background: transparent;
    white-space: nowrap;
    overflow: scroll hidden;
}

@-moz-document url-prefix() {
    .breadcrumb, .thumbnail-container {
        scrollbar-width: thin;
        scrollbar-color: orange transparent;
    }
}

.breadcrumb::-webkit-scrollbar { height: 3px !important; }

.breadcrumb::-webkit-scrollbar-thumb {
    background: orange !important;
    border-radius: 2px !important;
}


.breadcrumb li a {
    color: #888888;
    text-decoration: none;
    transition: color 0.2s;
    font-weight: 400;
}

.breadcrumb li a:hover {
    color: #000000;
}

.breadcrumb li:not(:last-child)::after {
    content: ">";
    color: #888888;
    margin: 0 12px;
    font-family: monospace;
    font-weight: 400;
    font-size: 18px;
    line-height: 1;
    display: inline-block;
    vertical-align: middle;
}

.breadcrumb li.active {
    color: #000000;
    font-weight: 400;
    pointer-events: none;
}

.breadcrumb li::before {
    content: none !important;
    display: none !important;
}

.form-control {
    box-shadow: none;
    border-radius: 0;
    padding: 6px 12px;
}
.form-control:focus {
    box-shadow: none;
    border: 1px solid #000;
}

.loader {
    display: inline-block;
    width: 32px;
    height: 10px;
    aspect-ratio: auto;
    background: radial-gradient(circle closest-side, #FF8C38 90%, transparent) 0 50% / 33.3% 100% space;
    clip-path: inset(0 100% 0 0);
    animation: cart-dots-anim 0.5s steps(4) infinite;
    mix-blend-mode: normal;
    vertical-align: middle;
    margin-bottom: 2px;
}
@keyframes cart-dots-anim {
    to { clip-path: inset(0 -34% 0 0); }
}



.quantity-group {
    border-radius: 30px;
    border: 1px solid #E8E8E8;
    display: flex;
    align-items: center; /* Центруємо елементи по вертикалі */
    width: fit-content;
}


.btn-q {
    padding: 6px 12px;
    font-size: 14px;
    border-radius: 20px;
    margin: 5px;
    color: white;
}

.btn-q.dec {
    background-color: #111;
    border: 1px solid #111;
}

.btn-q.inc {
    background-color: #FF8C38;
    border: 1px solid #FF8C38;
}

.btn-q:disabled {
    opacity: .1;
}

.input-q {
    text-align: center;
    height: 44px;
    border: none;
    flex: 1;
    width: 100% !important;
    font-size: 16px;
    background: transparent !important;
    outline: none !important;
    box-shadow: none !important;
    font-weight: 500;
    padding: 0 !important;
    margin: 0 !important;
    box-sizing: border-box !important;
}

/* --- few --- */
